#include<bits/stdc++.h>
using namespace std;
ifstream f1("BAI3_17.inp");
ofstream f2("BAI3_17.out");
int main()
{
	int n,i,a[2000];
	f1>>n;
	for(i=1;i<=n;i++)
	f1>>a[i];
	int max=a[1];
	int min=a[2];
	for(i=1;i<=n;i++)
	{
		if(a[i]>max) max=a[i];
		if(a[i]<min) min=a[i];
	}
	f2<<max+min;
}
